select
  nt.numdocumento as numero_nota
  , mo.numparcela || '\' || (select count(*) from movimento re where re.cdnota = nt.cdnota) as numero_parcela
  , mo.dtvencimento as data_vencimento
  , mo.valor as valor_parcela
  , pes.nome as fornecedor
  , pr.nome as produto
  , ni.qtde as quantidade_produto
  , ni.vrtotal as valor_total_produto
  , mo.dtpagamento as data_pagamento
  , (ni.vrtotal * (mo.vrpago/nt.valor)) as valor_pago_por_produto
  , mo.vrpago as valor_pago
  , mo.dtcompensacao as data_compensacao
from
  movimento mo
  join nota nt on nt.cdnota = mo.cdnota
  join pessoa pes on pes.cdpessoa = nt.cdpessoa
  join notaitem ni on ni.cdnota = nt.cdnota
  join produto pr on pr.cdproduto = ni.cdproduto

where
  nt.tiponota ='E'
  and nt.valor <> 0
  and mo.dtvencimento between '2016-05-18' and '2016-05-18'
order by
  nt.numdocumento, mo.dtvencimento

